### Method

# FwupdPlugin HidrawDevice parse_descriptor

#### Declaration [src]

    FuHidDescriptor*
    fu_hidraw_device_parse_descriptor (
      FuHidrawDevice* self
      GError** error
    )

#### Description [src]

Retrieves and parses the HID descriptor.

Available since: | 2.0.12

#### Return value

Returns: | `FuHidDescriptor`
| A `FuHidDescriptor`, or `NULL` on error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.